<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::XMLDocument Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1XMLDocument-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::XMLDocument Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="XMLDocument_8hpp_source.html">XMLDocument.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a876cb3c42d4dfd9b28634ce54fefdb17"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a876cb3c42d4dfd9b28634ce54fefdb17">XMLDocument</a> ()=default</td></tr>
<tr class="separator:a876cb3c42d4dfd9b28634ce54fefdb17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02ab9b46a49f31b8d7405435136d7257"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a02ab9b46a49f31b8d7405435136d7257">XMLDocument</a> (std::string name, <a class="el" href="classgg_1_1Attributes.html">Attributes</a> attributes, std::string content)</td></tr>
<tr class="separator:a02ab9b46a49f31b8d7405435136d7257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47ac0d9ae4d87ee9a7d2c2271991e9e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a47ac0d9ae4d87ee9a7d2c2271991e9e1">XMLDocument</a> (std::string name, <a class="el" href="classgg_1_1Attributes.html">Attributes</a> attributes, std::string content, std::vector&lt; <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &gt; children)</td></tr>
<tr class="separator:a47ac0d9ae4d87ee9a7d2c2271991e9e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8db8c5250eb6ebe7c0bdb953729940c"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#ae8db8c5250eb6ebe7c0bdb953729940c">~XMLDocument</a> ()=default</td></tr>
<tr class="separator:ae8db8c5250eb6ebe7c0bdb953729940c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3f14c02d9c64abed8fc7b41f399afe6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#ad3f14c02d9c64abed8fc7b41f399afe6">AddChild</a> (<a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a>)</td></tr>
<tr class="separator:ad3f14c02d9c64abed8fc7b41f399afe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a859620ce17eed3d46de08b08e540a66e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a859620ce17eed3d46de08b08e540a66e">RemoveChild</a> (int i)</td></tr>
<tr class="separator:a859620ce17eed3d46de08b08e540a66e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7acdd509f5c9417138d9a5bfc161fc5a"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a7acdd509f5c9417138d9a5bfc161fc5a">GetName</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:a7acdd509f5c9417138d9a5bfc161fc5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fa4567a3c353ecf82c798ea6a3746c1"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a3fa4567a3c353ecf82c798ea6a3746c1">GetAttributes</a> () const -&gt; const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;</td></tr>
<tr class="separator:a3fa4567a3c353ecf82c798ea6a3746c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a399757e1e371f07154c606bed1199e"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a1a399757e1e371f07154c606bed1199e">GetContent</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:a1a399757e1e371f07154c606bed1199e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3307ad181f7c3fe01039755b6c90443"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#ab3307ad181f7c3fe01039755b6c90443">GetChildren</a> () const -&gt; const std::vector&lt; <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &gt; &amp;</td></tr>
<tr class="separator:ab3307ad181f7c3fe01039755b6c90443"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a406b523274a43def875834ca9e1893c1"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a406b523274a43def875834ca9e1893c1">GetChildren</a> () -&gt; std::vector&lt; <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &gt; &amp;</td></tr>
<tr class="separator:a406b523274a43def875834ca9e1893c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ac141b684643d2826c25b704c197eb7a4"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#ac141b684643d2826c25b704c197eb7a4">LoadFromFile</a> (const std::string &amp;) -&gt; <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a></td></tr>
<tr class="separator:ac141b684643d2826c25b704c197eb7a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2874c3134eb2b862532876a06d1fdb4a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1XMLDocument.html#a2874c3134eb2b862532876a06d1fdb4a">SaveToFile</a> (const <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &amp;, const std::string &amp;)</td></tr>
<tr class="separator:a2874c3134eb2b862532876a06d1fdb4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a876cb3c42d4dfd9b28634ce54fefdb17" name="a876cb3c42d4dfd9b28634ce54fefdb17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a876cb3c42d4dfd9b28634ce54fefdb17">&#9670;&nbsp;</a></span>XMLDocument() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::XMLDocument::XMLDocument </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a02ab9b46a49f31b8d7405435136d7257" name="a02ab9b46a49f31b8d7405435136d7257"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02ab9b46a49f31b8d7405435136d7257">&#9670;&nbsp;</a></span>XMLDocument() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::XMLDocument::XMLDocument </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td>
          <td class="paramname"><em>attributes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a47ac0d9ae4d87ee9a7d2c2271991e9e1" name="a47ac0d9ae4d87ee9a7d2c2271991e9e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47ac0d9ae4d87ee9a7d2c2271991e9e1">&#9670;&nbsp;</a></span>XMLDocument() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::XMLDocument::XMLDocument </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classgg_1_1Attributes.html">Attributes</a>&#160;</td>
          <td class="paramname"><em>attributes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>content</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &gt;&#160;</td>
          <td class="paramname"><em>children</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae8db8c5250eb6ebe7c0bdb953729940c" name="ae8db8c5250eb6ebe7c0bdb953729940c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8db8c5250eb6ebe7c0bdb953729940c">&#9670;&nbsp;</a></span>~XMLDocument()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual gg::XMLDocument::~XMLDocument </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad3f14c02d9c64abed8fc7b41f399afe6" name="ad3f14c02d9c64abed8fc7b41f399afe6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3f14c02d9c64abed8fc7b41f399afe6">&#9670;&nbsp;</a></span>AddChild()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::XMLDocument::AddChild </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3fa4567a3c353ecf82c798ea6a3746c1" name="a3fa4567a3c353ecf82c798ea6a3746c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fa4567a3c353ecf82c798ea6a3746c1">&#9670;&nbsp;</a></span>GetAttributes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::XMLDocument::GetAttributes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a406b523274a43def875834ca9e1893c1" name="a406b523274a43def875834ca9e1893c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a406b523274a43def875834ca9e1893c1">&#9670;&nbsp;</a></span>GetChildren() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::XMLDocument::GetChildren </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  std::vector&lt; <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &gt; &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3307ad181f7c3fe01039755b6c90443" name="ab3307ad181f7c3fe01039755b6c90443"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3307ad181f7c3fe01039755b6c90443">&#9670;&nbsp;</a></span>GetChildren() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::XMLDocument::GetChildren </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const std::vector&lt; <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &gt; &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a399757e1e371f07154c606bed1199e" name="a1a399757e1e371f07154c606bed1199e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a399757e1e371f07154c606bed1199e">&#9670;&nbsp;</a></span>GetContent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::XMLDocument::GetContent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const std::string &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7acdd509f5c9417138d9a5bfc161fc5a" name="a7acdd509f5c9417138d9a5bfc161fc5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7acdd509f5c9417138d9a5bfc161fc5a">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::XMLDocument::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const std::string &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac141b684643d2826c25b704c197eb7a4" name="ac141b684643d2826c25b704c197eb7a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac141b684643d2826c25b704c197eb7a4">&#9670;&nbsp;</a></span>LoadFromFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::XMLDocument::LoadFromFile </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a859620ce17eed3d46de08b08e540a66e" name="a859620ce17eed3d46de08b08e540a66e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a859620ce17eed3d46de08b08e540a66e">&#9670;&nbsp;</a></span>RemoveChild()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::XMLDocument::RemoveChild </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2874c3134eb2b862532876a06d1fdb4a" name="a2874c3134eb2b862532876a06d1fdb4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2874c3134eb2b862532876a06d1fdb4a">&#9670;&nbsp;</a></span>SaveToFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::XMLDocument::SaveToFile </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/resources/<a class="el" href="XMLDocument_8hpp_source.html">XMLDocument.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
